Page MenuHomePhabricator

Configuration migration issue from 1.1.8 to latest 1.2.0 regarding DHCP `authoritative enable` statement
Closed, ResolvedPublic

Description

Upgrading from 1.1.8 to 1.2.0 version 201904151631, it seems that in service dhcp-server the authoritative enable is missing, and is not replaced with authoritative as it would happen if configured manually; the following is the relevant diff between the before-upgrade and after manually re-enabling the authoritative option (diff -U10 -w ./config.boot.2019-04-15-1740.pre-migration ./config.boot) (i.e. the authoritative line is missing from the automatically migrated file):

`
 service {
     dhcp-server {
-        disabled false
         shared-network-name ******** {
-            authoritative enable
+            authoritative
             subnet ********/24 {
`

(I've originally submitted this to the VyOS forum: https://forum.vyos.io/t/issues-encountered-while-upgrading-from-1-1-8-to-1-2-0-201904151631/3635)

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0 (201904151631)
Why the issue appeared?
Will be filled on close

Event Timeline

ciprian.craciun created this object in space S1 VyOS Public.
ciprian.craciun changed Version from - to 1.2.0 (201904151631).Apr 16 2019, 1:24 PM
c-po changed the task status from Open to In progress.Apr 20 2019, 1:53 PM
c-po claimed this task.
c-po added a comment.Apr 20 2019, 2:14 PM

Okay,

1.1.8

vyos@vyos# show service dhcp-server
 disabled false
 shared-network-name foo {
     authoritative enable
     subnet 10.10.10.0/24 {
         default-router 10.10.10.254
         lease 86400
         start 10.10.10.10 {
             stop 10.10.10.50
         }
     }
 }

Migrates to 1.2.1 with

vyos@vyos# show service dhcp-server
 shared-network-name foo {
     subnet 10.10.10.0/24 {
         default-router 10.10.10.254
         lease 86400
         range 0 {
             start 10.10.10.10
             stop 10.10.10.50
         }
     }
 }

The authoritative statement is not migrated

c-po changed the task status from In progress to Needs testing.Apr 20 2019, 2:27 PM
c-po closed this task as Resolved.Apr 20 2019, 2:49 PM
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.